Bug 1310468 - bz-expire-cookies.pl always triggers a serialization error
bz-expire-cookies.pl always triggers a serialization error
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-21 17:56 EST by Jeff Fearn
Modified: 2016-09-20 01:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 18:32:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2016-02-21 17:56:25 EST
Description of problem:
It appears that in production this script always triggers a serialization error

Version-Release number of selected component (if applicable):
4.4

How reproducible:
Always

Steps to Reproduce:
1. Look in error list and see error message every day.

Actual results:
Triggers serialization error

Expected results:
Deletes old cookies

Additional info:
Comment 1 Rony Gong 2016-03-22 05:55:07 EDT
Verified on version 5.0.2.rh2, Failed
It show error when execute this script.
[root@bz-web bugzilla]# perl /usr/share/rh-bugzilla/bin/bz-expire-cookies.pl 
Subroutine Bugzilla::DB::vers_cmp redefined at /usr/share/perl5/vendor_perl/Exporter.pm line 66.
 at /var/www/html/bugzilla//Bugzilla/DB.pm line 27.
Comment 2 Jeff Fearn 2016-03-28 20:46:04 EDT
(In reply to Rony Gong from comment #1)
> Verified on version 5.0.2.rh2, Failed
> It show error when execute this script.
> [root@bz-web bugzilla]# perl /usr/share/rh-bugzilla/bin/bz-expire-cookies.pl 
> Subroutine Bugzilla::DB::vers_cmp redefined at
> /usr/share/perl5/vendor_perl/Exporter.pm line 66.
>  at /var/www/html/bugzilla//Bugzilla/DB.pm line 27.

This is not related to this script, please open a separate bug for this.
Comment 3 Rony Gong 2016-03-28 21:04:48 EDT
Will merge this bug fix code to branch-4.4?
Comment 4 Jeff Fearn 2016-03-28 21:16:39 EDT
(In reply to Rony Gong from comment #3)
> Will merge this bug fix code to branch-4.4?

Not unless it actually causes a problem on 4.4.
Comment 5 Jeff Fearn 2016-03-28 21:17:56 EDT
(In reply to Jeff Fearn from comment #4)
> (In reply to Rony Gong from comment #3)
> > Will merge this bug fix code to branch-4.4?
> 
> Not unless it actually causes a problem on 4.4.

This is wrong, no, the bug is flagged for 5.0.
Comment 6 Rony Gong 2016-05-17 03:34:03 EDT
Tested on
QA environment(5.0.2-rh7)
Result: Pass
Steps:
1. Executing the bz-expire-cookies, and can't find any serialization error now.

Note You need to log in before you can comment on or make changes to this bug.